{ }:
let
  sources = import ./nix/sources.nix;
  pkgs = import sources.nixpkgs { };
in
pkgs.mkShell {
  nativeBuildInputs = with pkgs.buildPackages; [
    pkg-config
  ];
  buildInputs = with pkgs; [
    glib
    gtk4
    gobject-introspection

    # Either
    clang
    llvmPackages.bintools
    # or
    #gcc
  ];
}
